Java学习者论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

手机号码,快捷登录

恭喜Java学习者论坛(www.javaxxz.com)已经为数万Java学习者服务超过7年了!积累会员资料超过10000G+
成为本站VIP会员,下载本站10000G+会员资源,购买链接:http://item.taobao.com/item.htm?id=44171550842
成为荣耀会员,分享5TB资料及站长学习指导,购买链接:https://item.taobao.com/item.htm?id=44435180049
技术售后:点击这里给我发消息 资料售后:点击这里给我发消息 ①群:Java学习者群②javaxxz.com ②群:Java学习者群③javaxxz.com 求职招聘群:Java求职与招聘 精英群:Java学习者精英群
JavaEE 49期就业班视频教程Java从菜鸟到大神的学习路线之基础篇Java从菜鸟到大神的学习路线之实战篇Java从菜鸟到大神的学习路线之高级篇

价值两万达内2017年最新Java整套视频

Java开发视频教程下载

大数据开发视频教程

前端开发视频教程下载

安卓开发视频教程下载

Java亿级流量电商系统视频教程

互联网架构师视频教程

年薪50万Spark2.0从入门到精通

年薪50万!人工智能学习路线教程

年薪50万!大数据从入门到精通学习路线年薪50万!机器学习入门到精通视频教程
查看: 121|回复: 0

[默认分类] linux下使用yum安装gcc的几点心得

[复制链接]
  • TA的每日心情
    开心
    2018-8-25 14:10
  • 签到天数: 222 天

    [LV.7]常住居民III

    发表于 2018-7-13 18:31:20 | 显示全部楼层 |阅读模式


       

           如果服务器是自己的,并且机器就在身边,那什么都不用说了,缺少gcc顶多就是重新放入安装盘,把开发工具包安装上。但是如果是租的服务器,托管服务 方那帮人又搞不懂你说的啥子gcc,要安装gcc实在是太麻烦了。你得去找gcc相关的包,版本号还得必须对应上,否则不兼容。最近给一个朋友装gcc, 着实头疼了一把。后来发现yum这个好东西,只需要执行一个命令,所有的烦恼都解除了。
           朋友的系统是CentOS 5 的,托管商没给安装gcc,于是使用如下两个命令就可把gcc,gcc-c++统统安装上:
      

      
            yum -y install gcc
       

       
          yum -y install gcc-c++
      

          
    yum会自动查找软件的相关依赖包,自动下载安装,全过程轻松愉快。特此记录一下。
      





      [root@localhost ~]# yum -y install gcc
      
    Loaded plugins: fastestmirror, rhnplugin, security
      
    Repository base is listed more than once in the configuration
      
    Repository updates is listed more than once in the configuration
      
    Repository extras is listed more than once in the configuration
      
    Repository centosplus is listed more than once in the configuration
      
    Repository contrib is listed more than once in the configuration
      
    This system is not registered with RHN.
      
    RHN support will be disabled.
      
    Loading mirror speeds from cached hostfile
      
    Setting up Install Process
      
    Resolving Dependencies
      
    --> Running transaction check
      
    ---> Package gcc.i386 0:4.1.2-51.el5 set to be updated
      
    --> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc
      
    --> Running transaction check
      
    ---> Package glibc-devel.i386 0:2.5-65 set to be updated
      
    --> Processing Dependency: glibc-headers = 2.5-65 for package: glibc-devel
      
    --> Processing Dependency: glibc-headers for package: glibc-devel
      
    --> Running transaction check
      
    ---> Package glibc-headers.i386 0:2.5-65 set to be updated
      
    --> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers
      
    --> Processing Dependency: kernel-headers for package: glibc-headers
      
    --> Running transaction check
      
    ---> Package kernel-headers.i386 0:2.6.18-274.3.1.el5 set to be updated
      
    --> Finished Dependency Resolution
      

      
    Dependencies Resolved
      

      
    ================================================================================
      
    Package              Arch       Version                    Repository     Size
      
    ================================================================================
      
    Installing:
      
    gcc                  i386       4.1.2-51.el5               base          5.2 M
      
    Installing for dependencies:
      
    glibc-devel          i386       2.5-65                     base          2.0 M
      
    glibc-headers        i386       2.5-65                     base          604 k
      
    kernel-headers       i386       2.6.18-274.3.1.el5         updates       1.2 M
      

      
    Transaction Summary
      
    ================================================================================
      
    Install       4 Package(s)
      
    Upgrade       0 Package(s)
      

      
    Total download size: 9.1 M
      
    Downloading Packages:
      
    (1/4): glibc-headers-2.5-65.i386.rpm                     | 604 kB     00:06     
      
    (2/4): kernel-headers-2.6.18-274.3.1.el5.i386.rpm        | 1.2 MB     00:14     
      
    (3/4): glibc-devel-2.5-65.i386.rpm                       | 2.0 MB     00:11     
      
    (4/4): gcc-4.1.2-51.el5.i386.rpm                         | 5.2 MB     00:27     
      
    --------------------------------------------------------------------------------
      
    Total                                           149 kB/s | 9.1 MB     01:02     
      
    Running rpm_check_debug
      
    Running Transaction Test
      
    Finished Transaction Test
      
    Transaction Test Succeeded
      
    Running Transaction
      
      Installing     : kernel-headers                                           1/4
      
      Installing     : glibc-headers                                            2/4
      
      Installing     : glibc-devel                                              3/4
      
      Installing     : gcc                                                      4/4
      

      
    Installed:
      
      gcc.i386 0:4.1.2-51.el5                                                      
      

      
    Dependency Installed:
      
      glibc-devel.i386 0:2.5-65                     glibc-headers.i386 0:2.5-65     
      
      kernel-headers.i386 0:2.6.18-274.3.1.el5     
      

      
    Complete!
      
    [root@localhost ~]#









      [root@localhost ~]# yum install gcc
      
    Loaded plugins: fastestmirror
      
    Loading mirror speeds from cached hostfile
      
    Setting up Install Process
      
    Resolving Dependencies
      
    --> Running transaction check
      
    ---> Package gcc.i386 0:4.1.2-51.el5 set to be updated
      
    --> Processing Dependency: cpp = 4.1.2-51.el5 for package: gcc
      
    --> Processing Dependency: libgomp >= 4.1.2-51.el5 for package: gcc
      
    --> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc
      
    --> Processing Dependency: libgcc >= 4.1.2-51.el5 for package: gcc
      
    --> Running transaction check
      
    ---> Package cpp.i386 0:4.1.2-51.el5 set to be updated
      
    ---> Package glibc-devel.i386 0:2.5-65 set to be updated
      
    --> Processing Dependency: glibc-headers = 2.5-65 for package: glibc-devel
      
    --> Processing Dependency: glibc = 2.5-65 for package: glibc-devel
      
    --> Processing Dependency: glibc-headers for package: glibc-devel
      
    ---> Package libgcc.i386 0:4.1.2-51.el5 set to be updated
      
    ---> Package libgomp.i386 0:4.4.4-13.el5 set to be updated
      
    --> Running transaction check
      
    --> Processing Dependency: glibc = 2.5-49 for package: nscd
      
    ---> Package glibc.i686 0:2.5-65 set to be updated
      
    --> Processing Dependency: glibc-common = 2.5-65 for package: glibc
      
    ---> Package glibc-headers.i386 0:2.5-65 set to be updated
      
    --> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers
      
    --> Processing Dependency: kernel-headers for package: glibc-headers
      
    --> Running transaction check
      
    ---> Package glibc-common.i386 0:2.5-65 set to be updated
      
    ---> Package kernel-headers.i386 0:2.6.18-274.el5 set to be updated
      
    ---> Package nscd.i386 0:2.5-65 set to be updated
      
    --> Finished Dependency Resolution
      

      
    Dependencies Resolved
      

      
    ================================================================================
      
    Package                Arch         Version                 Repository    Size
      
    ================================================================================
      
    Installing:
      
    gcc                    i386         4.1.2-51.el5            base         5.2 M
      
    Installing for dependencies:
      
    glibc-devel            i386         2.5-65                  base         2.0 M
      
    glibc-headers          i386         2.5-65                  base         604 k
      
    kernel-headers         i386         2.6.18-274.el5          base         1.2 M
      
    libgomp                i386         4.4.4-13.el5            base          72 k
      
    Updating for dependencies:
      
    cpp                    i386         4.1.2-51.el5            base         2.7 M
      
    glibc                  i686         2.5-65                  base         5.3 M
      
    glibc-common           i386         2.5-65                  base          16 M
      
    libgcc                 i386         4.1.2-51.el5            base          96 k
      
    nscd                   i386         2.5-65                  base         169 k
      

      
    Transaction Summary
      
    ================================================================================
      
    Install       5 Package(s)
      
    Upgrade       5 Package(s)
      

      
    Total download size: 34 M
      
    Is this ok [y/N]: y
      
    Downloading Packages:









    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    .

    QQ|手机版|Java学习者论坛

    GMT+8, 2018-11-19 12:55 , Processed in 0.291128 second(s), 26 queries .

    Powered by Discuz! X3.4

    © 2001-2017 Comsenz Inc.

    快速回复 返回顶部 返回列表